OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RootNode< ChildT >::Tile Struct Reference

`#include <nanovdb/util/GridBuilder.h>`

## Public Member Functions
| Tile (ChildT *c=nullptr)
| Tile (const ValueType &v, bool s)
bool | isChild () const
bool | isValue () const
bool | isActive () const

## Public Attributes
ChildT * | child
ValueType | value
bool | state

## Constructor & Destructor Documentation

## ◆ Tile() [1/2]

template<typename ChildT >

Tile | ( | ChildT * | c = nullptr | ) |
| inline

## ◆ Tile() [2/2]

template<typename ChildT >

Tile | ( | const ValueType & | v,
|  | bool | s )
| inline

## Member Function Documentation

## ◆ isActive()

template<typename ChildT >

bool isActive | ( |  | ) | const
| inline

## ◆ isChild()

template<typename ChildT >

bool isChild | ( |  | ) | const
| inline

## ◆ isValue()

template<typename ChildT >

bool isValue | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ child

template<typename ChildT >

ChildT* child

## ◆ state

template<typename ChildT >

bool state

## ◆ value

template<typename ChildT >

ValueType value